Subject: Re: bug#18901: libtool-2.4.3 for x86_64-suse-linux yields a large number of failed tests

From: Gary V. Vaughan <[email-masked]>
Date: Thu, 30 Oct 2014 18:23:45 +0000

Hi Peter,

Thanks for the report.

> On Oct 30, 2014, at 8:44 AM, Peter Breitenlohner <[email-masked]> wrote:
> a few days ago I was building libtool-2.4.3 for x86_64-suse-linux and had to
> put CONFIG_SITE=/dev/null into the environment in order to avoid a very
> large number of failed test.  The reason was that the x86_64-suse-linux site
> config file changes the default for libdir from ${exec_prefix}/lib into
> ${exec_prefix}/lib64.

I can only elicit a hand full of failures from the recently migrated legacy test, both with the opensuse-13.1 live GNOME CD, andr a minimally configure opensuse:13.1 based docker container.  In both cases I have a shell with `CONFIG_SITE=/usr/share/site/x86_64-unknown-linux-gnu` (where that file starts with some blurb about setting libdir to /usr/lib64 unless otherwise set by the user).  I didn't install fortran, g++ or gcj, so all those tests were skipped.

> I'd suggest to put CONFIG_SITE=/dev/null into the tests environment to avoid
> this and similar problems.

CONFIG_SITE might be necessary for some users to get otherwise failing test cases to work, so I'm reluctant to stamp on it so heavily.  Conversely, it's a bit optimistic of the tests I see failing to pass only --prefix to configure, and assume that binaries will all land in $prefix/bin and libraries in $prefix/lib, so I've pushed a patch that forces all test configures to set bindir=$prefix/bin and libdir=$prefix/lib.  With this patch, all (C compiler) tests pass for me in a fresh opensuse:13.1 container.

Let me know if you have any further problems with this issue.

Cheers,
-- 
Gary V. Vaughan (gary AT gnu DOT org)